Bug 117926 - [em] Intel S5000-based mobo, em driver does not attach to first ethernet controller
Summary: [em] Intel S5000-based mobo, em driver does not attach to first ethernet cont...
Status: Closed Overcome By Events
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 6.2-RELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: jfv
URL:
Keywords: IntelNetworking
Depends on:
Blocks:
 
Reported: 2007-11-08 14:30 UTC by Dmitry A.Deineka
Modified: 2015-06-30 16:14 UTC (History)
1 user (show)

See Also:


Attachments
axl.vcf (278 bytes, text/x-vcard; charset=utf-8)
2007-11-08 15:33 UTC, Dmitry A.Deineka
no flags Details
ssanders.vcf (271 bytes, text/x-vcard; charset=utf-8)
2009-06-25 23:02 UTC, Stephen Sanders
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry A.Deineka 2007-11-08 14:30:01 UTC
Intel® Server Board S5000PSL with FreeBSD 6.2-RELEASE and 6.3-PRERELEASE (today cvsup). First integrated Intel PRO/1000 ethernet does not work with following diagnostics (full dmesg follows too):

em0: <Intel(R) PRO/1000 Network Connection Version - 6.7.2> port 0x2020-0x203f mem 0xb8820000-0xb883ffff,0xb8400000-0xb87fffff irq 18 at device 0.0 on pci4
em0: Setup of Shared code failed
device_attach: em0 attach returned 6
em1: <Intel(R) PRO/1000 Network Connection Version - 6.7.2> port 0x2000-0x201f mem 0xb8800000-0xb881ffff,0xb8000000-0xb83fffff irq 19 at device 0.1 on pci4
em1: Ethernet address: 00:15:17:30:6c:79

Second ethernet (em1) works fine.

Full dmesg:

Copyright (c) 1992-2007 The FreeBSD Project.
Copyright (c) 1979, 1980, 1983, 1986, 1988, 1989, 1991, 1992, 1993, 1994
        The Regents of the University of California. All rights reserved.
FreeBSD is a registered trademark of The FreeBSD Foundation.
FreeBSD 6.3-PRERELEASE #4: Thu Nov  8 15:57:41 EET 2007
    axl@master.itl.ua:/usr/obj/usr/src/sys/MASTER
ACPI APIC Table: <INTEL  S5000PSL>
Timecounter "i8254" frequency 1193182 Hz quality 0
CPU: Intel(R) Xeon(R) CPU           E5310  @ 1.60GHz (1595.93-MHz K8-class CPU)
  Origin = "GenuineIntel"  Id = 0x6f7  Stepping = 7
  Features=0xbfebfbff<FPU,VME,DE,PSE,TSC,MSR,PAE,MCE,CX8,APIC,SEP,MTRR,PGE,MCA,CMOV,PAT,PSE36,CLFLUSH,DTS,ACPI,MMX,FXSR,SSE,SSE2,SS,HTT,TM,PBE>
  Features2=0x4e33d<SSE3,RSVD2,MON,DS_CPL,VMX,TM2,SSSE3,CX16,xTPR,PDCM,DCA>
  AMD Features=0x20100800<SYSCALL,NX,LM>
  AMD Features2=0x1<LAHF>
  Cores per package: 4
real memory  = 5905580032 (5632 MB)
avail memory = 4097830912 (3907 MB)
ioapic0 <Version 2.0> irqs 0-23 on motherboard
ioapic1 <Version 2.0> irqs 24-47 on motherboard
lapic0: Forcing LINT1 to edge trigger
kbd1 at kbdmux0
acpi0: <INTEL S5000PSL> on motherboard
acpi_hpet0: <High Precision Event Timer> iomem 0xfed00000-0xfed003ff on acpi0
Timecounter "HPET" frequency 14318180 Hz quality 2000
acpi0: Power Button (fixed)
Timecounter "ACPI-fast" frequency 3579545 Hz quality 1000
acpi_timer0: <24-bit timer at 3.579545MHz> port 0x408-0x40b on acpi0
cpu0: <ACPI CPU> on acpi0
device_attach: acpi_perf0 attach returned 6
device_attach: acpi_perf0 attach returned 6
acpi_throttle0: <ACPI CPU Throttling> on cpu0
acpi_button0: <Sleep Button> on acpi0
acpi_button1: <Power Button> on acpi0
pcib0: <ACPI Host-PCI bridge> port 0xca2,0xca3,0xcf8-0xcff on acpi0
pci0: <ACPI PCI bus> on pcib0
pcib1: <ACPI PCI-PCI bridge> at device 2.0 on pci0
pci1: <ACPI PCI bus> on pcib1
pcib2: <ACPI PCI-PCI bridge> irq 16 at device 0.0 on pci1
pci2: <ACPI PCI bus> on pcib2
pcib3: <ACPI PCI-PCI bridge> irq 16 at device 0.0 on pci2
pci3: <ACPI PCI bus> on pcib3
pcib4: <ACPI PCI-PCI bridge> irq 18 at device 2.0 on pci2
pci4: <ACPI PCI bus> on pcib4
em0: <Intel(R) PRO/1000 Network Connection Version - 6.7.2> port 0x2020-0x203f mem 0xb8820000-0xb883ffff,0xb8400000-0xb87fffff irq 18 at device 0.0 on pci4
em0: Setup of Shared code failed
device_attach: em0 attach returned 6
em1: <Intel(R) PRO/1000 Network Connection Version - 6.7.2> port 0x2000-0x201f mem 0xb8800000-0xb881ffff,0xb8000000-0xb83fffff irq 19 at device 0.1 on pci4
em1: Ethernet address: 00:15:17:30:6c:79
pcib5: <ACPI PCI-PCI bridge> at device 0.3 on pci1
pci5: <ACPI PCI bus> on pcib5
pcib6: <PCI-PCI bridge> at device 3.0 on pci0
pci6: <PCI bus> on pcib6
pcib7: <ACPI PCI-PCI bridge> at device 4.0 on pci0
pci7: <ACPI PCI bus> on pcib7
pcib8: <ACPI PCI-PCI bridge> at device 5.0 on pci0
pci8: <ACPI PCI bus> on pcib8
pcib9: <ACPI PCI-PCI bridge> at device 6.0 on pci0
pci9: <ACPI PCI bus> on pcib9
pcib10: <PCI-PCI bridge> at device 7.0 on pci0
pci10: <PCI bus> on pcib10
pci0: <base peripheral> at device 8.0 (no driver attached)
pcib11: <ACPI PCI-PCI bridge> irq 16 at device 28.0 on pci0
pci11: <ACPI PCI bus> on pcib11
pcib12: <ACPI PCI-PCI bridge> at device 30.0 on pci0
pci12: <ACPI PCI bus> on pcib12
pci12: <display, VGA> at device 12.0 (no driver attached)
isab0: <PCI-ISA bridge> at device 31.0 on pci0
isa0: <ISA bus> on isab0
atapci0: <Intel 63XXESB2 UDMA100 controller> port 0x1f0-0x1f7,0x3f6,0x170-0x177,0x376,0x3040-0x304f irq 20 at device 31.1 on pci0
ata0: <ATA channel 0> on atapci0
ata1: <ATA channel 1> on atapci0
atapci1: <Intel 63XXESB2 SATA300 controller> port 0x3058-0x305f,0x3074-0x3077,0x3050-0x3057,0x3070-0x3073,0x3020-0x303f mem 0xb8b00000-0xb8b003ff irq 20 at device 31.2 on pci0
atapci1: AHCI Version 01.10 controller with 6 ports detected
ata2: <ATA channel 0> on atapci1
ata3: <ATA channel 1> on atapci1
ata4: <ATA channel 2> on atapci1
ata5: <ATA channel 3> on atapci1
ata6: <ATA channel 4> on atapci1
ata7: <ATA channel 5> on atapci1
pci0: <serial bus, SMBus> at device 31.3 (no driver attached)
atkbdc0: <Keyboard controller (i8042)> port 0x60,0x64 irq 1 on acpi0
atkbd0: <AT Keyboard> irq 1 on atkbdc0
kbd0 at atkbd0
atkbd0: [GIANT-LOCKED]
sio0: <16550A-compatible COM port> port 0x3f8-0x3ff irq 4 flags 0x10 on acpi0
sio0: type 16550A
sio1: <16550A-compatible COM port> port 0x2f8-0x2ff irq 3 on acpi0
sio1: type 16550A
orm0: <ISA Option ROMs> at iomem 0xc0000-0xc8fff,0xcb000-0xcbfff,0xcc000-0xccfff on isa0
sc0: <System console> at flags 0x100 on isa0
sc0: VGA <16 virtual consoles, flags=0x300>
vga0: <Generic ISA VGA> at port 0x3c0-0x3df iomem 0xa0000-0xbffff on isa0
Timecounter "TSC" frequency 1595934912 Hz quality 800
Timecounters tick every 1.000 msec
The GEOM class MIRROR is already loaded.
ad4: 70911MB <WDC WD740ADFD-00NLR5 21.07QR5> at ata2-master SATA150
GEOM_MIRROR: Device gm0 created (id=3950709524).
GEOM_MIRROR: Device gm0: provider ad4 detected.
ad6: 70911MB <WDC WD740ADFD-00NLR5 21.07QR5> at ata3-master SATA150
GEOM_MIRROR: Device gm0: provider ad6 detected.
GEOM_MIRROR: Device gm0: provider ad6 activated.
GEOM_MIRROR: Device gm0: provider ad4 activated.
GEOM_MIRROR: Device gm0: provider mirror/gm0 launched.
Trying to mount root from ufs:/dev/mirror/gm0s1a
em0: <Intel(R) PRO/1000 Network Connection Version - 6.7.2> port 0x2020-0x203f mem 0xb8820000-0xb883ffff,0xb8400000-0xb87fffff irq 18 at device 0.0 on pci4
em0: Setup of Shared code failed
device_attach: em0 attach returned 6
em0: <Intel(R) PRO/1000 Network Connection Version - 6.7.2> port 0x2020-0x203f mem 0xb8820000-0xb883ffff,0xb8400000-0xb87fffff irq 18 at device 0.0 on pci4
em0: Setup of Shared code failed
device_attach: em0 attach returned 6
em0: <Intel(R) PRO/1000 Network Connection Version - 6.7.2> port 0x2020-0x203f mem 0xb8820000-0xb883ffff,0xb8400000-0xb87fffff irq 18 at device 0.0 on pci4
em0: Setup of Shared code failed
device_attach: em0 attach returned 6
em1: link state changed to UP

pciconf -lv:
 
hostb0@pci0:0:0:        class=0x060000 card=0x34768086 chip=0x25d88086 rev=0xb1 hdr=0x00
    vendor     = 'Intel Corporation'
    class      = bridge
    subclass   = HOST-PCI
pcib1@pci0:2:0: class=0x060400 card=0x00000000 chip=0x25f78086 rev=0xb1 hdr=0x01
    vendor     = 'Intel Corporation'
    class      = bridge
    subclass   = PCI-PCI
pcib6@pci0:3:0: class=0x060400 card=0x00000000 chip=0x25e38086 rev=0xb1 hdr=0x01
    vendor     = 'Intel Corporation'
    class      = bridge
    subclass   = PCI-PCI
pcib7@pci0:4:0: class=0x060400 card=0x00000000 chip=0x25f88086 rev=0xb1 hdr=0x01
    vendor     = 'Intel Corporation'
    class      = bridge
    subclass   = PCI-PCI
pcib8@pci0:5:0: class=0x060400 card=0x00000000 chip=0x25e58086 rev=0xb1 hdr=0x01
    vendor     = 'Intel Corporation'
    class      = bridge
    subclass   = PCI-PCI
pcib9@pci0:6:0: class=0x060400 card=0x00000000 chip=0x25f98086 rev=0xb1 hdr=0x01
    vendor     = 'Intel Corporation'
    class      = bridge
    subclass   = PCI-PCI
pcib10@pci0:7:0:        class=0x060400 card=0x00000000 chip=0x25e78086 rev=0xb1 hdr=0x01
    vendor     = 'Intel Corporation'
    class      = bridge
    subclass   = PCI-PCI
none0@pci0:8:0: class=0x088000 card=0x34768086 chip=0x1a388086 rev=0xb1 hdr=0x00
    vendor     = 'Intel Corporation'
    class      = base peripheral
hostb1@pci0:16:0:       class=0x060000 card=0x34768086 chip=0x25f08086 rev=0xb1 hdr=0x00
    vendor     = 'Intel Corporation'
    class      = bridge
    subclass   = HOST-PCI
hostb2@pci0:16:1:       class=0x060000 card=0x34768086 chip=0x25f08086 rev=0xb1 hdr=0x00
    vendor     = 'Intel Corporation'
    class      = bridge
    subclass   = HOST-PCI
hostb3@pci0:16:2:       class=0x060000 card=0x34768086 chip=0x25f08086 rev=0xb1 hdr=0x00
    vendor     = 'Intel Corporation'
    class      = bridge
    subclass   = HOST-PCI
hostb4@pci0:17:0:       class=0x060000 card=0x34768086 chip=0x25f18086 rev=0xb1 hdr=0x00
    vendor     = 'Intel Corporation'
    class      = bridge
    subclass   = HOST-PCI
hostb5@pci0:19:0:       class=0x060000 card=0x34768086 chip=0x25f38086 rev=0xb1 hdr=0x00
    vendor     = 'Intel Corporation'
    class      = bridge
    subclass   = HOST-PCI
hostb6@pci0:21:0:       class=0x060000 card=0x34768086 chip=0x25f58086 rev=0xb1 hdr=0x00
    vendor     = 'Intel Corporation'
    class      = bridge
    subclass   = HOST-PCI
hostb7@pci0:22:0:       class=0x060000 card=0x34768086 chip=0x25f68086 rev=0xb1 hdr=0x00
    vendor     = 'Intel Corporation'
    class      = bridge
    subclass   = HOST-PCI
pcib11@pci0:28:0:       class=0x060400 card=0x34768086 chip=0x26908086 rev=0x09 hdr=0x01
    vendor     = 'Intel Corporation'
    class      = bridge
    subclass   = PCI-PCI
pcib12@pci0:30:0:       class=0x060401 card=0x34768086 chip=0x244e8086 rev=0xd9 hdr=0x01
    vendor     = 'Intel Corporation'
    device     = '82801BA/CA/DB/DBL/EB/ER/FB (ICH2/3/4/4/5/5/6), 6300ESB Hub Interface to PCI Bridge'
    class      = bridge
    subclass   = PCI-PCI
isab0@pci0:31:0:        class=0x060100 card=0x34768086 chip=0x26708086 rev=0x09 hdr=0x00
    vendor     = 'Intel Corporation'
    class      = bridge
    subclass   = PCI-ISA
atapci0@pci0:31:1:      class=0x01018a card=0x34768086 chip=0x269e8086 rev=0x09 hdr=0x00
    vendor     = 'Intel Corporation'
    class      = mass storage
    subclass   = ATA
atapci1@pci0:31:2:      class=0x010601 card=0x34768086 chip=0x26818086 rev=0x09 hdr=0x00
    vendor     = 'Intel Corporation'
    class      = mass storage
none1@pci0:31:3:        class=0x0c0500 card=0x34768086 chip=0x269b8086 rev=0x09 hdr=0x00
    vendor     = 'Intel Corporation'
    class      = serial bus
    subclass   = SMBus
pcib2@pci1:0:0: class=0x060400 card=0x34768086 chip=0x35008086 rev=0x01 hdr=0x01
    vendor     = 'Intel Corporation'
    class      = bridge
    subclass   = PCI-PCI
pcib5@pci1:0:3: class=0x060400 card=0x34768086 chip=0x350c8086 rev=0x01 hdr=0x01
    vendor     = 'Intel Corporation'
    class      = bridge
    subclass   = PCI-PCI
pcib3@pci2:0:0: class=0x060400 card=0x34768086 chip=0x35108086 rev=0x01 hdr=0x01
    vendor     = 'Intel Corporation'
    class      = bridge
    subclass   = PCI-PCI
pcib4@pci2:2:0: class=0x060400 card=0x34768086 chip=0x35188086 rev=0x01 hdr=0x01
    vendor     = 'Intel Corporation'
    class      = bridge
    subclass   = PCI-PCI
em0@pci4:0:0:   class=0x020000 card=0x34768086 chip=0x10968086 rev=0x01 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = 'PRO/1000 EB Network Connection'
    class      = network
    subclass   = ethernet
em1@pci4:0:1:   class=0x020000 card=0x34768086 chip=0x10968086 rev=0x01 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = 'PRO/1000 EB Network Connection'
    class      = network
    subclass   = ethernet
none2@pci12:12:0:       class=0x030000 card=0x34768086 chip=0x515e1002 rev=0x02 hdr=0x00
    vendor     = 'ATI Technologies Inc'
    class      = display
    subclass   = VGA

How-To-Repeat: 1) Buy Intel® Server Board S5000PSL (http://www.intel.com/design/servers/boards/s5000psl/) with at least one CPU and some memory
2) Try to boot with FreeBSD 6.2-RELEASE or newer
Comment 1 Dmitry A.Deineka 2007-11-08 15:33:25 UTC
This is like joke, but today we was try to add 4 more GB of memory to 
this machine. With 8Gb total memory all em's does not work with similar 
diagnostics (dmesg output):
Nov  8 17:10:24 dbmaster kernel: Copyright (c) 1992-2007 The FreeBSD 
Project.
Nov  8 17:10:24 dbmaster kernel: Copyright (c) 1979, 1980, 1983, 1986, 
1988, 1989, 1991, 1992, 1993, 1994
Nov  8 17:10:24 dbmaster kernel: The Regents of the University of 
California. All rights reserved.
Nov  8 17:10:24 dbmaster kernel: FreeBSD is a registered trademark of 
The FreeBSD Foundation.
Nov  8 17:10:24 dbmaster kernel: FreeBSD 6.3-PRERELEASE #4: Thu Nov  8 
15:57:41 EET 2007
Nov  8 17:10:24 dbmaster kernel: 
axl@dbmaster.itl.ua:/usr/obj/usr/src/sys/DBMASTER
Nov  8 17:10:24 dbmaster kernel: ACPI APIC Table: <INTEL  S5000PSL>
Nov  8 17:10:24 dbmaster kernel: Timecounter "i8254" frequency 1193182 
Hz quality 0
Nov  8 17:10:24 dbmaster kernel: CPU: Intel(R) Xeon(R) CPU 
E5310  @ 1.60GHz (1595.94-MHz K8-class CPU)
Nov  8 17:10:24 dbmaster kernel: Origin = "GenuineIntel"  Id = 0x6f7 
Stepping = 7
Nov  8 17:10:24 dbmaster kernel: 
Features=0xbfebfbff<FPU,VME,DE,PSE,TSC,MSR,PAE,MCE,CX8,APIC,SEP,MTRR,PGE,MCA,CMOV,PAT,PSE36,CLFLUSH,DTS,ACPI,MMX,FXSR,SSE,SSE2,SS,HTT,TM,PBE>
Nov  8 17:10:24 dbmaster kernel: 
Features2=0x4e33d<SSE3,RSVD2,MON,DS_CPL,VMX,TM2,SSSE3,CX16,xTPR,PDCM,DCA>
Nov  8 17:10:24 dbmaster kernel: AMD Features=0x20100800<SYSCALL,NX,LM>
Nov  8 17:10:24 dbmaster kernel: AMD Features2=0x1<LAHF>
Nov  8 17:10:24 dbmaster kernel: Cores per package: 4
Nov  8 17:10:24 dbmaster kernel: real memory  = 10200547328 (9728 MB)
Nov  8 17:10:24 dbmaster kernel: avail memory = 8266711040 (7883 MB)
Nov  8 17:10:24 dbmaster kernel: ioapic0 <Version 2.0> irqs 0-23 on 
motherboard
Nov  8 17:10:24 dbmaster kernel: ioapic1 <Version 2.0> irqs 24-47 on 
motherboard
Nov  8 17:10:24 dbmaster kernel: lapic0: Forcing LINT1 to edge trigger
Nov  8 17:10:24 dbmaster kernel: kbd1 at kbdmux0
Nov  8 17:10:24 dbmaster kernel: acpi0: <INTEL S5000PSL> on motherboard
Nov  8 17:10:24 dbmaster kernel: acpi_hpet0: <High Precision Event 
Timer> iomem 0xfed00000-0xfed003ff on acpi0
Nov  8 17:10:24 dbmaster kernel: Timecounter "HPET" frequency 14318180 
Hz quality 2000
Nov  8 17:10:24 dbmaster kernel: acpi0: Power Button (fixed)
Nov  8 17:10:24 dbmaster kernel: Timecounter "ACPI-fast" frequency 
3579545 Hz quality 1000
Nov  8 17:10:24 dbmaster kernel: acpi_timer0: <24-bit timer at 
3.579545MHz> port 0x408-0x40b on acpi0
Nov  8 17:10:24 dbmaster kernel: cpu0: <ACPI CPU> on acpi0
Nov  8 17:10:24 dbmaster kernel: device_attach: acpi_perf0 attach returned 6
Nov  8 17:10:24 dbmaster kernel: device_attach: acpi_perf0 attach returned 6
Nov  8 17:10:24 dbmaster kernel: acpi_throttle0: <ACPI CPU Throttling> 
on cpu0
Nov  8 17:10:24 dbmaster kernel: acpi_button0: <Sleep Button> on acpi0
Nov  8 17:10:24 dbmaster kernel: acpi_button1: <Power Button> on acpi0
Nov  8 17:10:24 dbmaster kernel: pcib0: <ACPI Host-PCI bridge> port 
0xca2,0xca3,0xcf8-0xcff on acpi0
Nov  8 17:10:24 dbmaster kernel: pci0: <ACPI PCI bus> on pcib0
Nov  8 17:10:24 dbmaster kernel: pcib1: <ACPI PCI-PCI bridge> at device 
2.0 on pci0
Nov  8 17:10:24 dbmaster kernel: pci1: <ACPI PCI bus> on pcib1
Nov  8 17:10:24 dbmaster kernel: pcib2: <ACPI PCI-PCI bridge> irq 16 at 
device 0.0 on pci1
Nov  8 17:10:24 dbmaster kernel: pci2: <ACPI PCI bus> on pcib2
Nov  8 17:10:24 dbmaster kernel: pcib3: <ACPI PCI-PCI bridge> irq 16 at 
device 0.0 on pci2
Nov  8 17:10:24 dbmaster kernel: pci3: <ACPI PCI bus> on pcib3
Nov  8 17:10:24 dbmaster kernel: pcib4: <ACPI PCI-PCI bridge> irq 18 at 
device 2.0 on pci2
Nov  8 17:10:24 dbmaster kernel: pci4: <ACPI PCI bus> on pcib4
Nov  8 17:10:24 dbmaster kernel: em0: <Intel(R) PRO/1000 Network 
Connection Version - 6.7.2> port 0x2020-0x203f mem 
0xb8820000-0xb883ffff,0xb8400000-0xb87fffff irq 18 at device 0.0 on pci4
Nov  8 17:10:24 dbmaster kernel: em0: Setup of Shared code failed
Nov  8 17:10:24 dbmaster kernel: device_attach: em0 attach returned 6
Nov  8 17:10:24 dbmaster kernel: em1: <Intel(R) PRO/1000 Network 
Connection Version - 6.7.2> port 0x2000-0x201f mem 
0xb8800000-0xb881ffff,0xb8000000-0xb83fffff irq 19 at device 0.1 on pci4
Nov  8 17:10:24 dbmaster kernel: em1: Hardware Initialization Failed
Nov  8 17:10:24 dbmaster kernel: em1: Unable to initialize the hardware
Nov  8 17:10:24 dbmaster kernel: device_attach: em1 attach returned 5


and later:
Nov  8 17:10:25 dbmaster kernel: em0: <Intel(R) PRO/1000 Network 
Connection Version - 6.7.2> port 0x2020-0x203f mem 
0xb8820000-0xb883ffff,0xb8400000-0xb87fffff irq 18 at device 0.0 on pci4
Nov  8 17:10:25 dbmaster kernel: em0: Setup of Shared code failed
Nov  8 17:10:25 dbmaster kernel: device_attach: em0 attach returned 6
Nov  8 17:10:25 dbmaster kernel: em1: <Intel(R) PRO/1000 Network 
Connection Version - 6.7.2> port 0x2000-0x201f mem 
0xb8800000-0xb881ffff,0xb8000000-0xb83fffff irq 19 at device 0.1 on pci4
Nov  8 17:10:25 dbmaster kernel: em1: Setup of Shared code failed
Nov  8 17:10:25 dbmaster kernel: device_attach: em1 attach returned 6
Nov  8 17:10:25 dbmaster kernel: em0: <Intel(R) PRO/1000 Network 
Connection Version - 6.7.2> port 0x2020-0x203f mem 
0xb8820000-0xb883ffff,0xb8400000-0xb87fffff irq 18 at device 0.0 on pci4
Nov  8 17:10:25 dbmaster kernel: em0: Setup of Shared code failed
Nov  8 17:10:25 dbmaster kernel: device_attach: em0 attach returned 6
Nov  8 17:10:25 dbmaster kernel: em1: <Intel(R) PRO/1000 Network 
Connection Version - 6.7.2> port 0x2000-0x201f mem 
0xb8800000-0xb881ffff,0xb8000000-0xb83fffff irq 19 at device 0.1 on pci4
Nov  8 17:10:25 dbmaster kernel: em1: Setup of Shared code failed
Nov  8 17:10:25 dbmaster kernel: device_attach: em1 attach returned 6
Nov  8 17:10:25 dbmaster kernel: em0: <Intel(R) PRO/1000 Network 
Connection Version - 6.7.2> port 0x2020-0x203f mem 
0xb8820000-0xb883ffff,0xb8400000-0xb87fffff irq 18 at device 0.0 on pci4
Nov  8 17:10:25 dbmaster kernel: em0: Setup of Shared code failed
Nov  8 17:10:25 dbmaster kernel: device_attach: em0 attach returned 6
Nov  8 17:10:25 dbmaster kernel: em1: <Intel(R) PRO/1000 Network 
Connection Version - 6.7.2> port 0x2000-0x201f mem 
0xb8800000-0xb881ffff,0xb8000000-0xb83fffff irq 19 at device 0.1 on pci4
Nov  8 17:10:25 dbmaster kernel: em1: Setup of Shared code failed
Nov  8 17:10:25 dbmaster kernel: device_attach: em1 attach returned 6

When extra 4Gb was removed from motherboard, only em0 was down, em1 
works, like in first bugreport.

Hope this additional information helps.
Comment 2 Remko Lodder freebsd_committer 2007-11-16 10:59:24 UTC
Responsible Changed
From-To: freebsd-bugs->jfv

Hi Jack can you look into that.
Comment 3 DWassman 2008-04-10 14:41:42 UTC
Same board, same issue but intermittent between reboots. DEVICE_POLLING
enabled if that gives a clue.
 

David Wassman, MCP Net+
IT Network Administrator
Davis, Monk & Company
(800) 344-5034
(352) 372-6300
(352) 375-1583 FAX

The information contained in this electronic message is legally
privileged and confidential under applicable law, and is intended only
for the use of the individual or entity named above. If you are not the
intended recipient, you are hereby notified that any dissemination,
copying or disclosure of this communication is strictly prohibited. If
you have received this communication in error, please notify Davis, Monk
& Company (352) 372-6300 and delete this communication immediately
without reading it, making any copies of it or distributing it.

 
Comment 4 John Kozubik 2009-04-23 22:17:07 UTC
Hello,

I have recently installed FreeBSD:

FreeBSD www.example.com 6.4-RELEASE FreeBSD 6.4-RELEASE #0: Mon Apr 20
22:13:11 PDT 2009
root@www.example.com:/usr/src/sys/amd64/compile/www_amd64  amd64

Onto an Intel s5000PSLSATAR server motherboard.

I can confirm the findings of the original PR:  em0 does indeed fail to
initialize:

em0: <Intel(R) PRO/1000 Network Connection Version - 6.7.3> port
0x4020-0x403f mem 0xbe820000-0xbe83ffff,0xbe400000-0xbe7fffff irq 18 at
device 0.0 on pci4
em0: Using MSI interrupt
em0: Hardware Initialization Failed
em0: Unable to initialize the hardware
device_attach: em0 attach returned 5

and further, this is indeed an intermittent problem - some boots produce
both a working em0 and em1, and some boots produce only a working em1.

The motherboard has a very recent (January 2009) BIOS installed.

jfv:  I am happy to donate to you (or the project) one of these s5000
motherboards.  Would that speed testing and problem resolution ?


-----
John Kozubik - john@kozubik.com - http://www.kozubik.com
Comment 5 jfvogel 2009-04-23 23:03:48 UTC
Hi John,

First, can you please try this hack used by Paul Saab, it eliminates the
problem
he has, it is not an acceptable final fix to us, but it will let me know if
you have
the same issue. If it does get rid of the failure, then I will send you
newer code
to try.

Cheers,

Jack



=== e1000_80003es2lan.c
==================================================================
--- e1000_80003es2lan.c	(/freebsd/head/sys/dev/e1000)	(revision 195218)
+++ e1000_80003es2lan.c	(/ps/head/sys/dev/e1000)	(revision 195218)
@@ -356,7 +356,7 @@

 	DEBUGFUNC("e1000_acquire_mac_csr_80003es2lan");

-	mask = E1000_SWFW_CSR_SM;
+	mask = 0;// E1000_SWFW_CSR_SM;

 	return e1000_acquire_swfw_sync_80003es2lan(hw, mask);
 }
@@ -373,7 +373,7 @@

 	DEBUGFUNC("e1000_release_mac_csr_80003es2lan");

-	mask = E1000_SWFW_CSR_SM;
+	mask = 0;// E1000_SWFW_CSR_SM;

 	e1000_release_swfw_sync_80003es2lan(hw, mask);
 }



On Thu, Apr 23, 2009 at 2:17 PM, John Kozubik <john@kozubik.com> wrote:

>
> Hello,
>
> I have recently installed FreeBSD:
>
> FreeBSD www.example.com 6.4-RELEASE FreeBSD 6.4-RELEASE #0: Mon Apr 20
> 22:13:11 PDT 2009
> root@www.example.com:/usr/src/sys/amd64/compile/www_amd64  amd64
>
> Onto an Intel s5000PSLSATAR server motherboard.
>
> I can confirm the findings of the original PR:  em0 does indeed fail to
> initialize:
>
> em0: <Intel(R) PRO/1000 Network Connection Version - 6.7.3> port
> 0x4020-0x403f mem 0xbe820000-0xbe83ffff,0xbe400000-0xbe7fffff irq 18 at
> device 0.0 on pci4
> em0: Using MSI interrupt
> em0: Hardware Initialization Failed
> em0: Unable to initialize the hardware
> device_attach: em0 attach returned 5
>
> and further, this is indeed an intermittent problem - some boots produce
> both a working em0 and em1, and some boots produce only a working em1.
>
> The motherboard has a very recent (January 2009) BIOS installed.
>
> jfv:  I am happy to donate to you (or the project) one of these s5000
> motherboards.  Would that speed testing and problem resolution ?
>
>
> -----
> John Kozubik - john@kozubik.com - http://www.kozubik.com
>
Comment 6 Stephen Sanders 2009-06-25 23:02:54 UTC
I am having a very similar issue with FBSD 6.3 running on on the intel
5000PSL.  Both em0 and em1 may disappear with the same "Unable to
Initialize hardware" error message.

The suggested patch in kern/117926 did not work in this case.

Sticking printf's in the driver shows it failing to select the correct
register page in the file e1000_80003es2lan.c.

See e1000_read_phy_reg_gg82563_80003es2lan() where it calls ret_val =
e1000_read_phy_reg_m88(hw, page_select, &temp) ).  Very often the temp
variable returns with an unexpected value.

Thanks.
Comment 7 Sean Bruno freebsd_committer 2015-06-30 16:14:19 UTC
This should be retested with the 10.2r beta and stable/10 if possible.  If this is still a problem, please reopen this ticket.